@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');


*,
*:after,
*:before{
    -webkit-box-sizing: border-box;
    box-sizing:border-box;
    margin:0;
    padding:0;
}
/* variable define  */
:root{
    --primary-color:#6f04d9;
    --secondary-color:#333;
    --white-color:#fff;
    --black-color:#000;
}
.srch{
    border-radius:30px 100px;
}
.srhbtn{
    border-radius:30px 100px;
    background-color: white;
}
.srhbtn:focus, .srch:focus, .lgbtn:focus {
    outline:unset;
    border:none;
    box-shadow:none;
}
.product-thumb-link{
    display: flex;
    align-items: center;
    justify-content: center;
}
.srhbtn:hover{
    background-color:#f7bbf6;
}


:active,
:hover,
:focus{
    outline:0;
    outline-offset: 0;
}

a,
a:hover{
    text-decoration: none;
    color:white
    
}
a:hover{
    color: var(--black-color);
}

ul,
ol{
    margin:0;
    padding:0
}
html{
    scroll-behavior: smooth;
}
body{
    font-size:100%;
    font-weight:400;
    font-family: 'Lato', sans-serif;
}

/* custom scrollbar  */
::-webkit-scrollbar{
    width:0.3125rem;
}
::-webkit-scrollbar-track{
    background: var(--white-color);
}
::-webkit-scrollbar-thumb{
    background: var(--black-color);
}

/* custom design  */

.wrapper{
    padding-top: 4rem;
    padding-bottom:4rem;
    background-color: var(--secondary-color);
}

.text-content{
    width:60%;
    margin: auto;
}


.navi-wrap{
    background-color:#d16fe3;
    width: 100%;
    left:0;
    z-index: 1000;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.navi-wrap .nav-item{
    padding:0 0.5rem;
    transition:all 200ms linear;
}
.navbar-toggler:focus{
    outline:unset;
    border:none;
    box-shadow:none;
}

.navi-wrap .nav-link{
    padding-top: 0.9375rem;
    font-size: 0.875rem;
    font-weight:400;
    text-transform: uppercase;
    color: var(--black-color);
    letter-spacing: 0.0625rem;
}
.navi-wrap .nav-link:hover,
.navi-wrap .nav-link.active{
     color: var(--white-color);
}

/* change navbar styling on scroll */
.navi-wrap.scroll-on{
    position: fixed;
    background-color: #333;
    top:0;
    left:0;
    width:100%;
    box-shadow: 0 0.125rem 1.75 1 rgb(0,0,00,0.09);
    transition: all .15s ease-in-out;
}
.navi-wrap.scroll-on .nav_link:hover,
.navi-wrap.scroll-on .nav-link.active{
    color: var(--primary-color);
}

/*  top bannnere */
#home .carousel-caption{
    top: 12rem;
}
#home .carousel-caption p{
    max-width: 36.25rem;
    margin: 1.0625rem auto;
}

/* kids section  */
.products .wrapper{
    background-color:var(--black-color);
}
.products .nav-tabs{
    border: 0;
    justify-content: center;
}
.products .nav-tabs .nav-link{
    display: block;
    padding: 0 30px;
    border: 1px solid;
    border-radius: 20px;
    background-color: var(--black-color);
    color: var(--white-color);
    height: 36px;
    margin: 10px;
    line-height: 34px;
    text-transform: uppercase;
}
.products .nav-tabs .nav-link:hover{
    cursor: pointer;
    background-color: #f7bbf6;
    
}
.products .product-info .cat-parent,
.products .product-info .wishlist {
    font-size: 0.875rem;
    color: var(--white-color);
    opacity: 0.6;
    text-transform: uppercase;
}
.products .product-title a{
    margin: 0 0 7px;
    display: block;
    color: var(--white-color);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    text-transform: uppercase;
}
.products .rating i{
    color:rgb(232, 232, 131)
}
.basket a i{
    color: var(--white-color);
}
.product-info .wishlist .fa-heart{
    color:#fa0d1d;
 }
/* deal of the day */
.deal-of-the-day{
    background-image: url("../images/background/bg3.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
/* card */
.card-banner{
    display: flex;
    justify-content: center;
}
/* this is for women */ 
.card-container{
    display: flex;
    gap: 10px;
    justify-content:center;
    flex-wrap: wrap;
}
/* card thumb */
.card-thumb{
    position:relative;
    display: block;
    overflow: hidden;
}
.card-thumb img{
    transition: all .5s ease-out 0s;
    height: 300px;
    width: 100%;
    border-radius: 20px;
}
.card-thumb img:hover{
    transform: scale(1.2);
    opacity: 0.6;
}
/* images transition */
.product-thumb-link img{
    transition: all .5s ease-out 0s;
    border-radius: 10px;
}
.product-thumb-link img:hover{
    transform: scale(1.2);
    opacity: 0.6;
}
/* read more button */
.btn_read{
    border: none;
    outline:none;
    height:75px;
    width:100%;
    background-color:#f4caf4;
    color:white;
    border-radius: 4px;
    font-weight: bold;
}
.btn_read:hover{
    background: white;
    border: 1px solid;
    color:#e21cce;
}
/* this is for flip card */
.flip-card{
    background-color: transparent;
    width:300px;
    height:300px;
    perspective: 1000px;
}
.flip-card-inner{
    position: relative;
    width:100%;
    height:100%;
    text-align:center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}
.flip-card:hover .flip-card-inner{
    transform: rotateY(180deg);
}
.flip-card-front,
.flip-card-back{
    position:absolute;
    width:100%;
    height:100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    border-radius:16px;
}
.flip-card-front{
    background-image: 
    linear-gradient(45deg,#6f04d9,#d9048e);
}
.flip-card-front img{
    width: 250px;
    margin-top:1.5rem;
    border-radius: 10px;
}
.flip-card-back{
    background-image:linear-gradient(315deg,#6f04d9,#8a045c);
    color:#ffffff;
    transform:rotateY(180deg);
}
.flip-card-back img{
    width:160px;
    margin-top:1rem;
    border-radius: 10px;
}
.flip-card-back h3{
    margin-bottom: 0.3rem;
}
.flip-card-back h1{
    margin:0;
}
.btn1{
    border: none;
    outline:none;
    height:30px;
    width:100px;
    background-color:#00BFFF;
    color:white;
    border-radius: 4px;
    font-weight: bold;
    padding-bottom:1.5rem;
}
.btn1:hover{
    background: white;
    border: 1px solid;
    color:rgb(0, 0, 0);
}
/* shop button */
.main-btn{
    height:40px;
    line-height: 40px;
    font-size: 1rem;
    display: inline-block;
    color: #00BFFF;
    font-weight: 700;
    text-transform: uppercase;
    padding: 0 30px;
    position: relative;
}
.main-btn::after,
.main-btn::before{
    position: absolute;
    top: 50%;
    background-color: rgba(255,255,255,.3);
    left: 0;
    width:100%;
    height: 1px;
    content:"";
    transition: all .5s ease-out 0s;
    -webkit-transition: all .5s ease-out 0s;
    transform:translateY(-20px);
    -webkit-transform:translateY(-20px);
}
.main-btn::after{
    transform:translateY(-20px);
    -webkit-transform:translateY(-20px);
}
.main-btn:hover::before{
    transform: rotate(20deg);
    -webkit-transform: rotate(20deg);
    background-color:#d9048e ;
}
.main-btn:hover::after{
    transform: rotate(-20deg);
    -webkit-transform: rotate(-20deg);
    background-color:#d9048e ;
}
.main-btn:hover{
    color:#d9048e ;
}


